local natureMod = ...

local GROWTH_CONTROLLER_COMP = {
    TypeName = GROWTH_CONTROLLER_GROWTH_TYPE,
	ParentType = "COMPONENT",
    Properties = {
        { Name = "maxScale", Type = "float", Default = 1.0, Flags = { "SAVE_GAME" }},
    }
}

function GROWTH_CONTROLLER_COMP:init()
    self.maxScale = 0.7 + (math.random() / 2)
end

function GROWTH_CONTROLLER_COMP:update()
    local owner = self:getOwner()

    local scale = owner.Scale[1] + (0.001 * self:getLevel():getDeltaTime())
    if scale < self.maxScale then
        owner:setScale(scale)
    else
        local resourceContainer = self:getOwner():getOrCreateComponent("COMP_RESOURCE_CONTAINER")
        resourceContainer.ResourceValue = 3
        resourceContainer.AvailableQuantity = 1
        self:getOwner():removeComponent(self)
    end
end

natureMod:registerClass(GROWTH_CONTROLLER_COMP)