natureMod = ...

natureMod:registerAsset({
    DataType = "ZONE",
    Id = MOD_NS .. "ZONE_FORESTER",
    Icon = "ICON_RESOURCE_BOAR",
    HoverIcon = "ICON_RESOURCE_BOAR",
    SelectionIcon = "ICON_RESOURCE_BOAR",
    Name = MOD_NS .. "ZONE_FORESTER_NAME",
    Description = MOD_NS .. "ZONE_FORESTER_DESC",
    IsGlobalZone = false,
    Color = {1.2, 1.10, 1.70, 0.9},
    DesirabilityLayerToShow = "DESIRABILITY_FERTILITY"
})

natureMod:registerAsset({
    DataType = "INTERACTIVE_LOCATION_SETUP",
    Id = MOD_NS .. "AGENT_WORKSTATION_SETUP_FORESTER",
    PurposeList = {
        "WORK"
    },
	CharacterSetup = {
        DataType = "CHARACTER_SETUP",
		IdleAnimation = "MARKET_TENDER"
	}
})

natureMod:registerAssetId("models/forest_hut.fbx/Prefab/Plant", MOD_NS .. "PREFAB_INVISIBLE_PLANT")
natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/Plant", { 
    DataType = "COMP_PLANTABLE", 
    MinSpaceBetweenPlant = 6.0 
})
natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/Plant", { 
    DataType = MOD_NS .. "SEED_COMPONENT",
})


natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/Plant", {
    DataType = "COMP_RESOURCE_CONTAINER",
    ResourceData = "WOOD",
    IsReplenishable = false,
    ResourceValue = 1,
    AvailableQuantity = 0,
    Radius = 1.3,
    IsDestroyWhenEmpty = true,
    HasMaximumWorkstation = false
})

natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/Plant", { DataType = "COMP_CROP_FIELD_ELEMENT" })
natureMod:registerPrefabComponent("models/forest_hut.fbx/Prefab/Plant", { DataType = "COMP_TREE" })

natureMod:registerAsset({
    DataType = "PLANTABLE",
    Id = MOD_NS .. "PLANTABLE_INVISIBLE_PLANT",
    Name = MOD_NS .. "PLANTABLE_INVISIBLE_PLANT_NAME",
    Icon = "ICON_RESOURCE_GOLD_ORE",
    PlantPrefab =  MOD_NS .. "PREFAB_INVISIBLE_PLANT",
    MinimumScale = 0.85,
    MaximumScale = 1.1
})

natureMod:registerAssetId("models/forest_hut.fbx/Materials/base_material", MOD_NS .. "PLANT_BASE_MATERIAL")
natureMod:overrideAsset({
    Id = MOD_NS .. "PLANT_BASE_MATERIAL",
    HasAlphaTest = false,
    BackFaceVisible = false,
    HasShadow = false,
})


-- Farm Field Config -------------------------------------------------------------------------------------
natureMod:registerAsset({
    DataType = "FARM_FIELD_CONFIG",
    Id = MOD_NS .."FARM_FIELD_CONFIG_FORESTER",
    ZoneType = MOD_NS .. "ZONE_FORESTER",
    PlantPrefab = MOD_NS .. "PREFAB_INVISIBLE_PLANT",
    HasPlantingCycle = false,
    IsScaling = true,
    RowDistance = 9,
    ItemDistance = 9,
    RandomOrientation = {0, 360},
    RandomPositionOffset = {-4, 4},
    SourceMaterial = MOD_NS .. "PLANT_BASE_MATERIAL",
    GrowingMaterial = MOD_NS .. "PLANT_BASE_MATERIAL",
    HarvestedMaterial =MOD_NS .. "PLANT_BASE_MATERIAL",
    GrowingTextureList = {
    },
    HarvestingTextureList = {
    },
    AlphaTestThreshold = 0.5
})